| Flutter Impeller |

Public Member Functions | List of all members
impeller::ResourceBinder Struct Referenceabstract

An interface for binding resources. This is implemented by |Command| and |ComputeCommand| to make GPU resources available to a given command's pipeline. More...

`#include <resource_binder.h>`

Inheritance diagram for impeller::ResourceBinder:

## Public Member Functions
virtual | ~ResourceBinder ()=default
virtual bool | BindResource (ShaderStage stage, DescriptorType type, const ShaderUniformSlot &slot, const ShaderMetadata &metadata, BufferView view)=0
virtual bool | BindResource (ShaderStage stage, DescriptorType type, const SampledImageSlot &slot, const ShaderMetadata &metadata, std::shared_ptr< const Texture > texture, const std::unique_ptr< const Sampler > &sampler)=0

## Detailed Description

An interface for binding resources. This is implemented by |Command| and |ComputeCommand| to make GPU resources available to a given command's pipeline.

Definition at line 23 of file resource_binder.h.

## Constructor & Destructor Documentation

## ◆ ~ResourceBinder()

virtual impeller::ResourceBinder::~ResourceBinder | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ BindResource() [1/2]

virtual bool impeller::ResourceBinder::BindResource | ( | ShaderStage | stage,
|  | DescriptorType | type,
|  | const SampledImageSlot & | slot,
|  | const ShaderMetadata & | metadata,
|  | std::shared_ptr< const Texture > | texture,
|  | const std::unique_ptr< const Sampler > & | sampler
| ) |  |
| pure virtual

Implemented in impeller::Command, and impeller::RenderPass.

## ◆ BindResource() [2/2]

virtual bool impeller::ResourceBinder::BindResource | ( | ShaderStage | stage,
|  | DescriptorType | type,
|  | const ShaderUniformSlot & | slot,
|  | const ShaderMetadata & | metadata,
|  | BufferView | view
| ) |  |
| pure virtual

Implemented in impeller::Command, and impeller::RenderPass.

The documentation for this struct was generated from the following file:

- impeller/core/resource_binder.h